void    virtual_write_translated(unsigned char * str, printobj * pr);
boolean virtual_printer_open(printobj * pr);
int     virtual_printer_printf(printobj * pr, char * fmt, ...);
int     virtual_printer_flush(printobj * pr);
void	virtual_printer_newline(printobj * pr);
boolean virtual_printer_ready(printobj * pr);
boolean virtual_printer_init(printobj * pr, boolean test);
void    virtual_printer_close(printobj * pr);
void	virtual_printer_final(printobj * pr);
void	virtual_printer_eject(printobj * pr);
boolean virtual_test(void);
void    virtual_printer_clear(printobj * pr);
